# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.6.10](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.6.9...git_cmd-v0.6.10) - 2024-08-04

### Other
- update Cargo.toml dependencies

## [0.6.9](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.6.8...git_cmd-v0.6.9) - 2024-06-10

### Fixed
- add utility functions ([#1513](https://github.com/MarcoIeni/release-plz/pull/1513))

## [0.6.8](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.6.7...git_cmd-v0.6.8) - 2024-05-27

### Other
- update Cargo.toml dependencies

## [0.6.7](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.6.6...git_cmd-v0.6.7) - 2024-05-12

### Fixed
- use `--force-with-lease` on `force_push` function ([#1459](https://github.com/MarcoIeni/release-plz/pull/1459))

## [0.6.6](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.6.5...git_cmd-v0.6.6) - 2024-05-08

### Other
- more descriptive file system error messages ([#1450](https://github.com/MarcoIeni/release-plz/pull/1450))

## [0.6.5](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.6.4...git_cmd-v0.6.5) - 2024-05-05

### Other
- add clippy lints ([#1439](https://github.com/MarcoIeni/release-plz/pull/1439))
- improve uncommitted changes error message ([#1434](https://github.com/MarcoIeni/release-plz/pull/1434))

## [0.6.4](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.6.3...git_cmd-v0.6.4) - 2024-04-21

### Added
- improve error message ([#1407](https://github.com/MarcoIeni/release-plz/pull/1407))

## [0.6.3](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.6.2...git_cmd-v0.6.3) - 2024-04-14

### Other
- update Cargo.toml dependencies

## [0.6.2](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.6.1...git_cmd-v0.6.2) - 2024-03-24

### Other
- update Cargo.toml dependencies

## [0.6.1](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.6.0...git_cmd-v0.6.1) - 2024-03-10

### Other
- use `camino` ([#1337](https://github.com/MarcoIeni/release-plz/pull/1337))

## [0.6.0](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.5.0...git_cmd-v0.6.0) - 2024-03-10

### Added
- create annotated tags instead of lightweight ([#1255](https://github.com/MarcoIeni/release-plz/pull/1255))

## [0.5.0](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.22...git_cmd-v0.5.0) - 2024-03-08

### Fixed
- allow to checkout git history in multiple paths ([#1315](https://github.com/MarcoIeni/release-plz/pull/1315))

### Other
- use edition and license workspace ([#1329](https://github.com/MarcoIeni/release-plz/pull/1329))

## [0.4.22](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.21...git_cmd-v0.4.22) - 2024-02-27

### Other
- error if committed Cargo.lock is in `.gitignore` ([#1294](https://github.com/MarcoIeni/release-plz/pull/1294))

## [0.4.21](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.20...git_cmd-v0.4.21) - 2024-02-23

### Other
- update Cargo.toml dependencies

## [0.4.20](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.19...git_cmd-v0.4.20) - 2024-01-23

### Added
- add `changes` function ([#1201](https://github.com/MarcoIeni/release-plz/pull/1201))

## [0.4.19](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.18...git_cmd-v0.4.19) - 2024-01-20

### Other
- update Cargo.toml dependencies

## [0.4.18](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.17...git_cmd-v0.4.18) - 2024-01-16

### Other
- add `#[derive(Debug)]` to `Repo` struct ([#1167](https://github.com/MarcoIeni/release-plz/pull/1167))

## [0.4.17](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.16...git_cmd-v0.4.17) - 2023-12-30

### Other
- update Cargo.toml dependencies

## [0.4.16](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.15...git_cmd-v0.4.16) - 2023-12-19

### Fixed
- restore changes introduced by `cargo package` ([#1152](https://github.com/MarcoIeni/release-plz/pull/1152))

## [0.4.15](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.14...git_cmd-v0.4.15) - 2023-12-16

### Other
- update dependencies

## [0.4.14](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.13...git_cmd-v0.4.14) - 2023-10-27

### Other
- update dependencies

## [0.4.13](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.12...git_cmd-v0.4.13) - 2023-10-15

### Other
- update dependencies

## [0.4.12](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.11...git_cmd-v0.4.12) - 2023-09-16

### Other
- add additional clippy lints ([#965](https://github.com/MarcoIeni/release-plz/pull/965))

## [0.4.11](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.10...git_cmd-v0.4.11) - 2023-09-11

### Added
- `commit_signed` function ([#956](https://github.com/MarcoIeni/release-plz/pull/956))

## [0.4.10](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.9...git_cmd-v0.4.10) - 2023-09-08

### Other
- *(ci)* check links ([#941](https://github.com/MarcoIeni/release-plz/pull/941))

## [0.4.9](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.8...git_cmd-v0.4.9) - 2023-08-22

### Other
- update dependencies

## [0.4.8](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.7...git_cmd-v0.4.8) - 2023-08-16

### Other
- update dependencies

## [0.4.7](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.6...git_cmd-v0.4.7) - 2023-08-14

### Other
- update dependencies

## [0.4.6](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.5...git_cmd-v0.4.6) - 2023-07-25

### Other
- update dependencies

## [0.4.5](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.4...git_cmd-v0.4.5) - 2023-06-09

### Feat
- add `current_commit_hash`, `get_tag_commit` and `is_ancestor` functions ([#813](https://github.com/MarcoIeni/release-plz/pull/813))

## [0.4.4](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.3...git_cmd-v0.4.4) - 2023-05-05

### Other
- update dependencies

## [0.4.3](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.2...git_cmd-v0.4.3) - 2023-04-27

### Other
- update dependencies

## [0.4.2](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.1...git_cmd-v0.4.2) - 2023-04-16

### Fixed
- `current_commit_message` function reads the full commit message (#689)

## [0.4.1](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.4.0...git_cmd-v0.4.1) - 2023-04-05

### Other
- update dependencies

## [0.4.0](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.3.0...git_cmd-v0.4.0) - 2023-03-27

### Fixed
- use initial remote for repository url (#619)

## [0.3.0](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.16...git_cmd-v0.3.0) - 2023-03-17

### Added
- detect git remote (#610)

### Changed
- (breaking) renamed `default_branch` method to `original_branch`

## [0.2.16](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.15...git_cmd-v0.2.16) - 2023-02-26

### Other
- update dependencies

## [0.2.15](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.14...git_cmd-v0.2.15) - 2023-02-20

### Other
- remove unused check (#559)

## [0.2.14](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.13...git_cmd-v0.2.14) - 2023-02-18

### Fixed
- trust gh workspace if needed (#553)

## [0.2.13](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.12...git_cmd-v0.2.13) - 2023-02-10

### Added
- `stash_pop` function

## [0.2.12](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.11...git_cmd-v0.2.12) - 2023-02-08

### Other
- update dependencies

## [0.2.11](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.10...git_cmd-v0.2.11) - 2023-01-27

### Other
- improve logging (#500)

## [0.2.10](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.9...git_cmd-v0.2.10) - 2023-01-26

### Added
- add `git`, `force_push` and `checkout` functions (#470)

## [0.2.9](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.8...git_cmd-v0.2.9) - 2023-01-16

### Other
- fix typo in code (#463)

## [0.2.8](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.7...git_cmd-v0.2.8) - 2023-01-16

### Added
- error message includes git args (#452)

## [0.2.7](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.6...git_cmd-v0.2.7) - 2023-01-15

### Other
- add links to changelogs (#442)

## [0.2.6](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.5...git_cmd-v0.2.6) - 2023-01-11

### Other
- remove a dependency used in tests (#426)

## [0.2.5](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.4...git_cmd-v0.2.5) - 2022-12-16

### Added
- Add function to retrieve default branch (#372)

## [0.2.4](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.3...git_cmd-v0.2.4) - 2022-12-12

### Changed
- improved error message

## [0.2.3](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.2...git_cmd-v0.2.3) - 2022-11-17

### Added
- add function to check if git tag exists (#342)

## [0.2.2](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.1...git_cmd-v0.2.2) - 2022-11-04

### Fixed
- clippy lints (#332)

### Other
- use workspace dependencies (#333)

## [0.2.1](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.2.0...git_cmd-v0.2.1) - 2022-10-24

### Other
- *(deps)* bump anyhow to 1.0.66 (#319)
- *(deps)* bump tracing from 0.1.35 to 0.1.36 (#234)

## [0.2.0](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.1.6...git_cmd-v0.2.0) - 2022-07-16

### Fixed
- [**breaking**] filter symlink when checking if repo is clean (#207)

## [0.1.6](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.1.5...git_cmd-v0.1.6) - 2022-06-18

### Other
- *(deps)* bump tracing from 0.1.34 to 0.1.35 (#179)

## [0.1.5](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.1.4...git_cmd-v0.1.5) - 2022-05-19

### Other
- upgrade dependencies (#133)

## [0.1.4](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.1.3...git_cmd-v0.1.4) - 2022-05-14

### Added
- get origin url (#128)

## [0.1.3](https://github.com/MarcoIeni/release-plz/compare/git_cmd-v0.1.2...git_cmd-v0.1.3) - 2022-05-01

### Added
- add `tag` method (#92)
- improve git error (#53)
- add context to some errors (#50)

## 0.1.2 - 2022-03-27

### Fixed
- fix repository link
